class Target
	
	attr_accessor :name		
	attr_reader :config_files
		
	def initialize(name)
		
		@config_files = {}
		@name = name
			
		yield self
		
	end
	
end

class Project

	attr_reader :config_files
	attr_reader :targets
	attr_accessor :name

	def initialize(name)
	
		@name = name
		@targets = []
		@config_files = {}
			
		yield self
	
	end
		
	def target(name, &block)

		targets << Target.new(name, &block)
		
	end
		
	def file_name
		
		return @name + ".xcodeproj"
		
	end
	
end